#include <stdio.h>
#include <string.h>
#include <stdlib.h>
int mini(int v,int b[])
{
    int min=b[0];
    for(int i=1;i<v;i++)
    {
        if(b[i]<min)
        {
            min=b[i];
        }
    }
    return min;
}
int main()
{
    int n,k;
    scanf("%d%d",&n,&k);
    char a[n];
    scanf("%s",&a);
    int b[k];
    for(int i=0;i<k;i++)
    {
        b[i]=0;
    }
    for(int i=1;i<=n;i++)
    {
        for(int j=0;j<i;j++)
        {
            b[a[j]-'a']++;
        }
        printf("%d ",mini(k,b)+1);
    }
}